clear all
load('A10matrices')
%load('A10matrices_c_d')
%load('rosigvec')
%% calibration
voldat=0.71*391094;
costCdat=0.474;
sdCdat=1.76;
costPdat=1.264;
sdPdat=2.5968;
meancostdat=0.742;
relpddata=sdCdat./costCdat;
%target1=(meancostm-meancostdat).*meancostdat/100;
target1=(sqrt(pi).*pricestdevCm./privolCm./sqrt(2)-relpddata);
%target1=(costCm*100-costCdat);
target2=(costPm*100-costPdat);
%target3=(sdCm*100-sdCdat);
%target3=(ab-sdCdat)
target3=(meancostm*100-meancostdat);
[i,j]=find(min(min(abs(target3)+abs(target1)))==(abs(target3)+abs(target1)));
sigthbeta=voldat./totalvolm(i,j)
%sigth=pricestdevm(i,j)./(pddata*2*sqrt((1-romat(i,j)/pi)))
%m=sigthbeta/sigth
ro=romat(i,j)
sige=sigemat(i,j)
save('rosigecal','ro','sige','sigthbeta');

%% implied values
r1=i;
r2=j;
standardev=pricestdevm(r1,r2)
absprice=privolm(r1,r2)
rdD=sqrt(pi).*pricestdevm(r1,r2)./privolm(r1,r2)./sqrt(2)
totalvolmD=totalvolm(r1,r2)
intmedD=intmedmm(r1,r2)
meancostD=meancostm(r1,r2)
costCD=costCm(r1,r2)
costPD=costPm(r1,r2)
sdC=sdCm(r1,r2)
sdP=sdPm(r1,r2)
dellnks=perofdellinksm(r1,r2)
profmatD=profmat(r1,r2)
profratioD=profratiomat(r1,r2)
netvolD=netvolm(r1,r2)
%SRD=SRm(r1,r2)
rd=sqrt(pi).*pricestdevm./privolm./sqrt(2);
%rdD=sqrt(pi).*standardev./absprice./sqrt(2);
%% semi-elasticities
diffro=romat(1,1)-romat(1,2);
diffep=sigemat(1,1)-sigemat(2,1);
var=pricestdevm;
prde=[(var(r1,r2)-var(r1,r2+1))/diffro/var(r1,r2) (var(r1,r2)-var(r1+1,r2))/diffep/var(r1,r2)]; 

var=rd;
rde=[(var(r1,r2)-var(r1,r2+1))/diffro/var(r1,r2) (var(r1,r2)-var(r1+1,r2))/diffep/var(r1,r2)] ;

var=totalvolm;
vole=[(var(r1,r2)-var(r1,r2+1))/diffro/var(r1,r2) (var(r1,r2)-var(r1+1,r2))/diffep/var(r1,r2)] ;

var=profmat;
profe=[(var(r1,r2)-var(r1,r2+1))/diffro/var(r1,r2) (var(r1,r2)-var(r1+1,r2))/diffep/var(r1,r2)] ;
var=meancostm;
coste=[(var(r1,r2)-var(r1,r2+1))/diffro/var(r1,r2) (var(r1,r2)-var(r1+1,r2))/diffep/var(r1,r2)]; 
var=profmat./netvolm;
sre=[(var(r1,r2)-var(r1,r2+1))/diffro/var(r1,r2) (var(r1,r2)-var(r1+1,r2))/diffep/var(r1,r2)] ;


%%
viewcor=[-40,30];
load('A10matrices_eig_corsest')
rd=sqrt(pi).*pricestdevm./privolm./sqrt(2);
%rdD=sqrt(pi).*standardev./absprice./sqrt(2);

xrot=20;
yrot=-20;
fs=10;
 subplot(3,2,4)
surface(rovec(2:end),sigevec(2:end),rd(2:end,2:end)./rdD-1)
title('Relative price dispersion')
view(viewcor)
xlabel('correlation across values,\rho','Rotation',xrot,'FontSize',fs)
ylabel('noise-to-signal ratio,\sigma','Rotation',yrot,'FontSize',fs)

% subplot(3,2,5)
%surface(rovec,sigevec,pricestdevm)
%title('price dispersion')
subplot(3,2,5)
surface(rovec(2:end),sigevec(2:end),totalvolm(2:end,2:end)./totalvolmD-1)
title('Total gross volume')
xlabel('correlation across values,\rho','Rotation',xrot,'FontSize',fs)
ylabel('noise-to-signal ratio,\sigma','Rotation',yrot,'FontSize',fs)
view(viewcor)

subplot(3,2,1)
surface(rovec(2:end),sigevec(2:end),meancostm(2:end,2:end)./meancostD-1)
title('Mean price impact')
xlabel('correlation across values,\rho','Rotation',xrot,'FontSize',fs)
ylabel('noise-to-signal ratio,\sigma','Rotation',yrot,'FontSize',fs)
view(viewcor)

subplot(3,2,6)
surface(rovec(2:end),sigevec(2:end),profmat(2:end,2:end)./profmatD-1)
xlabel('correlation across values,\rho','Rotation',xrot,'FontSize',fs)
ylabel('noise-to-signal ratio,\sigma','Rotation',yrot,'FontSize',fs)
title('Mean expected profit')
view(viewcor)

subplot(3,2,3)
%surface(rovec,sigevec,costPm./costPD-1)
surface(rovec(2:end),sigevec(2:end),pricestdevm(2:end,2:end)./standardev-1)
xlabel('correlation across values,\rho','Rotation',xrot,'FontSize',fs)
ylabel('noise-to-signal ratio,\sigma','Rotation',yrot,'FontSize',fs)
title('Price dispersion')
view(viewcor)
% subplot(3,2,5)
% surface(sigevec,rovec,ginivolm)
% title('gini coef of profit')
% view(3)
% 
subplot(3,2,2)

surface(rovec(2:end),sigevec(2:end),(profmat(2:end,2:end)./netvolm(2:end,2:end))./(profmatD./netvolD)-1)
title('Mean profit over net position')
view(viewcor)
xlabel('correlation across values,\rho','Rotation',xrot,'FontSize',fs)
ylabel('noise-to-signal ratio,\sigma','Rotation',yrot,'FontSize',fs)



